Subject: [mpls] [MPLS] draft-ietf-mpls-ldp-ipv6

From: [email-masked]
Date: Wed, 15 Dec 2010 22:20:06 +0800

Hi Rajiv, Vishwas, all,
There are three issues in the draft as I mentioned before.
1. If there are two LSRs with two independent link, one is for IPv4, the 
other is for IPv6. Let's say LSR1 and LSR2 is connected by IPv4 enabled 
link1 and IPv6 enabled link2. It is very likely that LSR1 will receive the 
IPv4 hello first, and choose the IPv4 transport address, and LSR2 will 
receive the IPv6 hello first, and choose the IPv6 transport address, then 
the TCP connection can not be setup.

We have not work out a perfect way. One way is to assign a active/passive 
role for the LSR, and only the active role can choose IPv4 or IPv6 
transport address, and the active role will be also the TCP session active 
role. The active/passive role can be choosed based on LDP-ID which is 
different with currently defined RFC5036.

2. It should be possible to allow IPv6 hello to establish IPv4 session. 
Because IPv4 session can also be used TO setup IPv6 IP-prefix LSP. In that 
case, the IPv4 session should choose another route to reach peer node. 
That means IPv6 hello will carry IPv4 transport address, and the address 
will be choosed to established the session.

3. Section 6.1: An LSR should include only the transport address whose 
address family is the same as that of the IP packet carrying Hello. But in 
RFC5036, it says: An LSR MUST advertise the same transport address in all 
Hellos that advertise the same label space. The two requirements will be 
confict in the case of two LSR connected with one IPv6 link and one IPv4 
link.

So we still have to solve these problems for LDPv6, we could discuss in 
this thread.

Thanks!
Lizhong

--------------------------------------------------------
ZTE Information Security Notice: The information contained in this mail is solely property of the sender's organization. This mail communication is confidential. Recipients named above are obligated to maintain secrecy and are not permitted to disclose the contents of this communication to others.
This email and any files transmitted with it are confidential and intended solely for the use of the individual or entity to whom they are addressed. If you have received this email in error please notify the originator of the message. Any views expressed in this message are those of the individual sender.
This message has been scanned for viruses and Spam by ZTE Anti-Spam system.

---

From: Vishwas Manral <[email-masked]>
Date: Tue, 21 Dec 2010 15:50:55 -0800

Hi Lizhong,

Sorry for the delay in replying to your email.

> the TCP connection can not be setup.
This is not correct.
        - An LSR should prefer the TCP connection over IPv6 for a new LDP
        session with a remote LSR, if they attempted two TCP
        connections using IPv4 and IPv6 transports simultaneously.

IPv6 would be prefered and TCP transport connection will be setup. If
an IPv4 connection is in process, it does not mean an IPv6 session
cannot be initiated.

> role for the LSR, and only the active role can choose IPv4 or IPv6 transport
> address, and the active role will be also the TCP session active role. The
> active/passive role can be choosed based on LDP-ID which is different with
> currently defined RFC5036.
We can have active/ passive role, however that is uselessly
overloading current protocol.

> case, the IPv4 session should choose another route to reach peer node. That
> means IPv6 hello will carry IPv4 transport address, and the address will be
> choosed to established the session.
We can allow that but it does not help in anyway.

> confict in the case of two LSR connected with one IPv6 link and one IPv4
Yes, this is a good point and we need to clarify that further in this draft.

> So we still have to solve these problems for LDPv6, we could discuss in this
> thread.
Ok.

Thanks,
Vishwas

> _______________________________________________
> mpls mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/mpls
>
>

---

From: "Rajiv Asati (rajiva)" <[email-masked]>
Date: Fri, 24 Dec 2010 18:42:44 -0500

Hi Lizhong,

Thanks for your review.

I agree with Manral to responses for #1 and #2. 

Wrt #3, we had noted the same conflict earlier. The thought process is to update the RFC5036 via this document to relax that restriction for v4 and v6 hellos. Do you see any downside?

Cheers,
Rajiv

Sent from my Phone

---

From: [email-masked]
Date: Sat, 25 Dec 2010 14:29:32 +0800

Hi Vishwas, Rajiv,
Thank you for your reply. Please see my comments below in line.

BR
Lizhong

> an IPv4 connection is in process, it does not mean an IPv6 session
[Lizhong] sorry, I missed this "prefer" scentance. Now I see you point. In 
some cases, IPv6 session can not be established, but IPv4 session can be 
established. Then may be better to allow the operator to enabel IPv4 
session manually.

> > role for the LSR, and only the active role can choose IPv4 or 
IPv6transport
> overloading current protocol.
[Lizhong] agree.

> > case, the IPv4 session should choose another route to reach peer node. 
That
> We can allow that but it does not help in anyway.
[Lizhong] In one case, there is only IPv6 interface address, and only IPv4 
loopback address. Then it is better to use IPv4 loopback address as 
transport address. What do you think of this case?

> Yes, this is a good point and we need to clarify that further in this 
draft.
[Lizhong] ok.

---

From: "Rajiv Asati (rajiva)" <[email-masked]>
Date: Sun, 26 Dec 2010 09:26:27 -0600

Hi Lizhong,

The cases, you refer to, are good examples of misconfiguration, not the
protocol issues. They are not worth LDP changes.

Cheers,
Rajiv

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]]
> Sent: Saturday, December 25, 2010 1:30 AM
> To: Vishwas Manral
> Cc: [email-masked]; Rajiv Asati (rajiva); Vishwas Manral
> Subject: Re: [mpls] [MPLS] draft-ietf-mpls-ldp-ipv6
> 
> 
> Hi Vishwas, Rajiv,
> >         - An LSR should prefer the TCP connection over IPv6 for a
new
> LDP
> [Lizhong] sorry, I missed this "prefer" scentance. Now I see you
point.
> In some cases, IPv6 session can not be established, but IPv4 session
> can be established. Then may be better to allow the operator to enabel
> IPv4 session manually.
> 
> >
> > > means IPv6 hello will carry IPv4 transport address, and the
address
> [Lizhong] In one case, there is only IPv6 interface address, and only
> IPv4 loopback address. Then it is better to use IPv4 loopback address
> as transport address. What do you think of this case?
> 
> >
> > > address family is the same as that of the IP packet carrying
Hello.
> But in
> > > confict in the case of two LSR connected with one IPv6 link and
one
> IPv4
> > > link.
> > Yes, this is a good point and we need to clarify that further in
this
> ZTE Information Security Notice: The information contained in this
mail
> is solely property of the sender's organization. This mail
> communication is confidential. Recipients named above are obligated to
> maintain secrecy and are not permitted to disclose the contents of
this
> communication to others.
> This email and any files transmitted with it are confidential and
> intended solely for the use of the individual or entity to whom they
> are addressed. If you have received this email in error please notify
> the originator of the message. Any views expressed in this message are
> those of the individual sender.